Loading...
Searching...
No Matches
nl_switch< This, tensor_basic< typename This::scalar_type > >

## Detailed Description

template<class This>
struct rheolef::details::nl_switch< This, tensor_basic< typename This::scalar_type > >

Definition at line 861 of file field_expr_variational.h.

## Public Types

typedef This::size_type | size_type
typedef This::scalar_type | scalar_type

## Public Member Functions

void | element_initialize (const This &obj, const geo_element &K) const
void | element_initialize_on_side (const This &obj, const geo_element &K, const side_information_type &sid) const
const tensor_basic< scalar_type > & | get_nl_value (const This &obj, size_type q) const

## Member Typedef Documentation

## size_type

template<class This >

typedef This::size_type size_type

Definition at line 862 of file field_expr_variational.h.

## scalar_type

template<class This >

typedef This::scalar_type scalar_type

Definition at line 863 of file field_expr_variational.h.

## Member Function Documentation

## element_initialize()

template<class This >

void element_initialize | ( | const This & | obj,
|  | const geo_element & | K
| ) |  | const

Definition at line 864 of file field_expr_variational.h.

## element_initialize_on_side()

template<class This >

void element_initialize_on_side | ( | const This & | obj,
|  | const geo_element & | K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 866 of file field_expr_variational.h.

## get_nl_value()

template<class This >

const tensor_basic< scalar_type > & get_nl_value | ( | const This & | obj,
|  | size_type | q
| ) |  | const

Definition at line 868 of file field_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_variational.h